Profile picture, cover, logo or key art
GET
/v1/media/{file}
const url = 'https://api.gampeon.com/v1/media/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/media/exampleOnly delivered while the image is current and not removed by moderation. Cached for 10 minutes.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”file
required
string
<32 hex characters>.<png|jpg|webp>, from an image path like avatar or cover
Responses
Section titled “Responses”The image
Media typeimage/*
string format: binary
Error codes: not_found
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: storage_disabled
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}